Package org.eclipse.emf.compare.merge

# Interface IMergeOptionAware

All Known Implementing Classes:
  `AbstractMerger`, `AdditiveConflictMerger`, `AdditiveReferenceChangeMerger`, `AdditiveResourceAttachmentChangeMerger`, `AttributeChangeMerger`, `ConflictMerger`, `FeatureMapChangeMerger`, `PseudoConflictMerger`, `ReferenceChangeMerger`, `ResourceAttachmentChangeMerger`, `ResourceLocationChangeMerger`

public interface IMergeOptionAware
Handles a list of merge options. All mergers that implement this interface will be able to use and manage merge options.

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`Map<Object,Object>`
`getMergeOptions()`
Get the map of options that the merger will have to take into account.
`void`
`setMergeOptions(Map<Object,Object> options)`
Set the map of options that the merger will have to take into account.

## Method Details

### getMergeOptions

Map<Object,Object> getMergeOptions()
Get the map of options that the merger will have to take into account.

Returns:
  the map of options.

### setMergeOptions

void setMergeOptions(Map<Object,Object> options)
Set the map of options that the merger will have to take into account.

Parameters:
  `options` - the map of options.